## org.apache.poi.hmef.dev
Class HMEFDumper

    java.lang.Object
      org.apache.poi.hmef.dev.HMEFDumper

    public final class HMEFDumper

extends java.lang.Object

Developer focused raw dumper

Constructor Summary
`HMEFDumper(java.io.InputStream inp)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `setTruncatePropertyData(boolean truncate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HMEFDumper

    public HMEFDumper(java.io.InputStream inp)
               throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setTruncatePropertyData

    public void setTruncatePropertyData(boolean truncate)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.